com.independentsoft.exchange

## Class RuleExceptions

- java.lang.Object
- - com.independentsoft.exchange.RuleExceptions

-     public class RuleExceptions
      extends java.lang.Object

  Identifies the exceptions that represent all the available rule exception conditions for an Inbox rule.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RuleExceptions()` Initializes a new instance of the RuleExceptions class.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.String>` | `getCategories()` Gets the categories that must be applied to an incoming message in order for the condition or exception to apply.
    `java.util.List<java.lang.String>` | `getContainsBodyStrings()` Gets the strings that must appear in the body of incoming messages in order for the condition or exception to apply.
    `java.util.List<java.lang.String>` | `getContainsHeaderStrings()` Gets the strings that must appear in the body of incoming messages in order for the condition or exception to apply.
    `java.util.List<java.lang.String>` | `getContainsRecipientStrings()` Gets the strings that must appear in either the ToRecipients or CcRecipients properties of incoming messages in order for the condition or exception to apply.
    `java.util.List<java.lang.String>` | `getContainsSenderStrings()` Gets the strings that must appear in the From property of incoming messages in order for the condition or exception to apply.
    `java.util.List<java.lang.String>` | `getContainsSubjectOrBodyStrings()` Gets the strings that must appear in either the body or the subject of incoming messages in order for the condition or exception to apply.
    `java.util.List<java.lang.String>` | `getContainsSubjectStrings()` Gets the strings that must appear in the subject of incoming messages in order for the condition or exception to apply.
    `FlaggedForAction` | `getFlaggedForAction()` Gets the flag for action value that must appear on incoming messages in order for the condition or exception to apply.
    `java.util.List<Mailbox>` | `getFromAddresses()` Gets the e-mail addresses from which incoming messages must be sent in order for the condition or exception to apply.
    `java.util.List<java.lang.String>` | `getFromConnectedAccounts()` Gets the e-mail account names from which incoming messages have to have been aggregated in order for the condition or exception to apply.
    `Importance` | `getImportance()` Gets the importance that is stamped on incoming messages in order for the condition or exception to apply.
    `java.util.List<java.lang.String>` | `getItemClasses()` Gets the item classes that must be stamped on incoming messages in order for the condition or exception to apply.
    `java.util.List<java.lang.String>` | `getMessageClassifications()` Gets the message classifications that must be stamped on incoming messages in order for the condition or exception to apply.
    `boolean` | `getNotSentToMe()` Gets whether the owner of the mailbox must not be in the ToRecipients property of the incoming messages in order for the condition or exception to apply.
    `Sensitivity` | `getSensitivity()` Gets the sensitivity that must be stamped on incoming messages in order for the condition or exception to apply.
    `boolean` | `getSentCcMe()` Gets whether the owner of the mailbox has to be in the CcRecipients property of incoming messages in order for the condition or exception to apply.
    `boolean` | `getSentOnlyToMe()` Gets whether the owner of the mailbox has to be the only one in the ToRecipients property of incoming messages in order for the condition or exception to apply.
    `java.util.List<Mailbox>` | `getSentToAddresses()` Gets the e-mail addresses that incoming messages have to have been sent to in order for the condition or exception to apply.
    `boolean` | `getSentToMe()` Gets whether the owner of the mailbox has to be in the ToRecipients property of incoming messages in order for the condition or exception to apply.
    `boolean` | `getSentToOrCcMe()` Gets whether the owner of the mailbox has to be in either a ToRecipients or CcRecipients property of incoming messages in order for the condition or exception to apply.
    `RulePredicateDateRange` | `getWithinDateRange()` Gets the date range within which incoming messages have to have been received in order for the condition or exception to apply.
    `RulePredicateSizeRange` | `getWithinSizeRange()` Gets the minimum and maximum sizes that incoming messages must be in order for the condition or exception to apply.
    `boolean` | `hasAttachments()` Gets whether incoming messages have to have attachments in order for the condition or exception to apply.
    `boolean` | `isApprovalRequest()` Gets whether incoming messages must be approval requests in order for the condition or exception to apply.
    `boolean` | `isAutomaticForward()` Gets whether incoming messages must be automatic forwards in order for the condition or exception to apply.
    `boolean` | `isAutomaticReply()` Gets whether incoming messages must be automatic replies in order for the condition or exception to apply.
    `boolean` | `isEncrypted()` Gets whether incoming messages must be S/MIME encrypted in order for the condition or exception to apply.
    `boolean` | `isMeetingRequest()` Gets whether incoming messages must be meeting requests in order for the condition or exception to apply.
    `boolean` | `isMeetingResponse()` Gets whether incoming messages must be meeting responses in order for the condition or exception to apply.
    `boolean` | `isNDR()` Gets whether incoming messages must be non-delivery reports (NDRs) in order for the condition or exception to apply.
    `boolean` | `isPermissionControlled()` Gets whether incoming messages must be permission controlled (RMS protected) in order for the condition or exception to apply.
    `boolean` | `isReadReceipt()` Gets whether incoming messages must be read receipts in order for the condition or exception to apply.
    `boolean` | `isSigned()` Gets whether incoming messages must be S/MIME signed in order for the condition or exception to apply.
    `boolean` | `isVoiceMail()` Gets whether incoming messages must be voice mail messages in order for the condition or exception to apply.
    `void` | `setAsApprovalRequest(boolean isApprovalRequest)` Sets whether incoming messages must be approval requests in order for the condition or exception to apply.
    `void` | `setAsAutomaticForward(boolean isAutomaticForward)` Sets whether incoming messages must be automatic forwards in order for the condition or exception to apply.
    `void` | `setAsAutomaticReply(boolean isAutomaticReply)` Sets whether incoming messages must be automatic replies in order for the condition or exception to apply.
    `void` | `setAsEncrypted(boolean isEncrypted)` Sets whether incoming messages must be S/MIME encrypted in order for the condition or exception to apply.
    `void` | `setAsMeetingRequest(boolean isMeetingRequest)` Sets whether incoming messages must be meeting requests in order for the condition or exception to apply.
    `void` | `setAsMeetingResponse(boolean isMeetingResponse)` Sets whether incoming messages must be meeting responses in order for the condition or exception to apply.
    `void` | `setAsNDR(boolean isNDR)` Sets whether incoming messages must be non-delivery reports (NDRs) in order for the condition or exception to apply.
    `void` | `setAsPermissionControlled(boolean isPermissionControlled)` Sets whether incoming messages must be permission controlled (RMS protected) in order for the condition or exception to apply.
    `void` | `setAsReadReceipt(boolean isReadReceipt)` Sets whether incoming messages must be read receipts in order for the condition or exception to apply.
    `void` | `setAsSigned(boolean isSigned)` Sets whether incoming messages must be S/MIME signed in order for the condition or exception to apply.
    `void` | `setAsVoiceMail(boolean isVoiceMail)` Sets whether incoming messages must be voice mail messages in order for the condition or exception to apply.
    `void` | `setFlaggedForAction(FlaggedForAction flaggedForAction)` Sets the flag for action value that must appear on incoming messages in order for the condition or exception to apply.
    `void` | `setHasAttachments(boolean hasAttachments)` Sets whether incoming messages have to have attachments in order for the condition or exception to apply.
    `void` | `setImportance(Importance importance)` Sets the importance that is stamped on incoming messages in order for the condition or exception to apply.
    `void` | `setNotSentToMe(boolean notSentToMe)` Sets whether the owner of the mailbox must not be in the ToRecipients property of the incoming messages in order for the condition or exception to apply.
    `void` | `setSensitivity(Sensitivity sensitivity)` Sets the sensitivity that must be stamped on incoming messages in order for the condition or exception to apply.
    `void` | `setSentCcMe(boolean sentCcMe)` Sets whether the owner of the mailbox has to be in the CcRecipients property of incoming messages in order for the condition or exception to apply.
    `void` | `setSentOnlyToMe(boolean sentOnlyToMe)` Sets whether the owner of the mailbox has to be the only one in the ToRecipients property of incoming messages in order for the condition or exception to apply.
    `void` | `setSentToMe(boolean sentToMe)` Sets whether the owner of the mailbox has to be in the ToRecipients property of incoming messages in order for the condition or exception to apply.
    `void` | `setSentToOrCcMe(boolean sentToOrCcMe)` Sets whether the owner of the mailbox has to be in either a ToRecipients or CcRecipients property of incoming messages in order for the condition or exception to apply.
    `void` | `setWithinDateRange(RulePredicateDateRange withinDateRange)` Sets the date range within which incoming messages have to have been received in order for the condition or exception to apply.
    `void` | `setWithinSizeRange(RulePredicateSizeRange withinSizeRange)` Sets the minimum and maximum sizes that incoming messages must be in order for the condition or exception to apply.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RuleExceptions

          public RuleExceptions()

      Initializes a new instance of the RuleExceptions class.

  - ### Method Detail

    - #### getCategories

          public java.util.List<java.lang.String> getCategories()

      Gets the categories that must be applied to an incoming message in order for the condition or exception to apply.
      Returns:
        the categories

    - #### getContainsBodyStrings

          public java.util.List<java.lang.String> getContainsBodyStrings()

      Gets the strings that must appear in the body of incoming messages in order for the condition or exception to apply.
      Returns:
        the contains body strings

    - #### getContainsHeaderStrings

          public java.util.List<java.lang.String> getContainsHeaderStrings()

      Gets the strings that must appear in the body of incoming messages in order for the condition or exception to apply.
      Returns:
        the contains header strings

    - #### getContainsRecipientStrings

          public java.util.List<java.lang.String> getContainsRecipientStrings()

      Gets the strings that must appear in either the ToRecipients or CcRecipients properties of incoming messages in order for the condition or exception to apply.
      Returns:
        the contains recipient strings

    - #### getContainsSenderStrings

          public java.util.List<java.lang.String> getContainsSenderStrings()

      Gets the strings that must appear in the From property of incoming messages in order for the condition or exception to apply.
      Returns:
        the contains sender strings

    - #### getContainsSubjectOrBodyStrings

          public java.util.List<java.lang.String> getContainsSubjectOrBodyStrings()

      Gets the strings that must appear in either the body or the subject of incoming messages in order for the condition or exception to apply.
      Returns:
        the contains subject or body strings

    - #### getContainsSubjectStrings

          public java.util.List<java.lang.String> getContainsSubjectStrings()

      Gets the strings that must appear in the subject of incoming messages in order for the condition or exception to apply.
      Returns:
        the contains subject strings

    - #### getFlaggedForAction

          public FlaggedForAction getFlaggedForAction()

      Gets the flag for action value that must appear on incoming messages in order for the condition or exception to apply.
      Returns:
        the flagged for action

    - #### setFlaggedForAction

          public void setFlaggedForAction(FlaggedForAction flaggedForAction)

      Sets the flag for action value that must appear on incoming messages in order for the condition or exception to apply.
      Parameters:
        `flaggedForAction` - the new flagged for action

    - #### getFromAddresses

          public java.util.List<Mailbox> getFromAddresses()

      Gets the e-mail addresses from which incoming messages must be sent in order for the condition or exception to apply.
      Returns:
        the from addresses

    - #### getFromConnectedAccounts

          public java.util.List<java.lang.String> getFromConnectedAccounts()

      Gets the e-mail account names from which incoming messages have to have been aggregated in order for the condition or exception to apply.
      Returns:
        the from connected accounts

    - #### hasAttachments

          public boolean hasAttachments()

      Gets whether incoming messages have to have attachments in order for the condition or exception to apply.
      Returns:
        true, if successful

    - #### setHasAttachments

          public void setHasAttachments(boolean hasAttachments)

      Sets whether incoming messages have to have attachments in order for the condition or exception to apply.
      Parameters:
        `hasAttachments` - the new checks for attachments

    - #### getImportance

          public Importance getImportance()

      Gets the importance that is stamped on incoming messages in order for the condition or exception to apply.
      Returns:
        the importance

    - #### setImportance

          public void setImportance(Importance importance)

      Sets the importance that is stamped on incoming messages in order for the condition or exception to apply.
      Parameters:
        `importance` - the new importance

    - #### isApprovalRequest

          public boolean isApprovalRequest()

      Gets whether incoming messages must be approval requests in order for the condition or exception to apply.
      Returns:
        true, if is approval request

    - #### setAsApprovalRequest

          public void setAsApprovalRequest(boolean isApprovalRequest)

      Sets whether incoming messages must be approval requests in order for the condition or exception to apply.
      Parameters:
        `isApprovalRequest` - the new as approval request

    - #### isAutomaticForward

          public boolean isAutomaticForward()

      Gets whether incoming messages must be automatic forwards in order for the condition or exception to apply.
      Returns:
        true, if is automatic forward

    - #### setAsAutomaticForward

          public void setAsAutomaticForward(boolean isAutomaticForward)

      Sets whether incoming messages must be automatic forwards in order for the condition or exception to apply.
      Parameters:
        `isAutomaticForward` - the new as automatic forward

    - #### isAutomaticReply

          public boolean isAutomaticReply()

      Gets whether incoming messages must be automatic replies in order for the condition or exception to apply.
      Returns:
        true, if is automatic reply

    - #### setAsAutomaticReply

          public void setAsAutomaticReply(boolean isAutomaticReply)

      Sets whether incoming messages must be automatic replies in order for the condition or exception to apply.
      Parameters:
        `isAutomaticReply` - the new as automatic reply

    - #### isEncrypted

          public boolean isEncrypted()

      Gets whether incoming messages must be S/MIME encrypted in order for the condition or exception to apply.
      Returns:
        true, if is encrypted

    - #### setAsEncrypted

          public void setAsEncrypted(boolean isEncrypted)

      Sets whether incoming messages must be S/MIME encrypted in order for the condition or exception to apply.
      Parameters:
        `isEncrypted` - the new as encrypted

    - #### isMeetingRequest

          public boolean isMeetingRequest()

      Gets whether incoming messages must be meeting requests in order for the condition or exception to apply.
      Returns:
        true, if is meeting request

    - #### setAsMeetingRequest

          public void setAsMeetingRequest(boolean isMeetingRequest)

      Sets whether incoming messages must be meeting requests in order for the condition or exception to apply.
      Parameters:
        `isMeetingRequest` - the new as meeting request

    - #### isMeetingResponse

          public boolean isMeetingResponse()

      Gets whether incoming messages must be meeting responses in order for the condition or exception to apply.
      Returns:
        true, if is meeting response

    - #### setAsMeetingResponse

          public void setAsMeetingResponse(boolean isMeetingResponse)

      Sets whether incoming messages must be meeting responses in order for the condition or exception to apply.
      Parameters:
        `isMeetingResponse` - the new as meeting response

    - #### isNDR

          public boolean isNDR()

      Gets whether incoming messages must be non-delivery reports (NDRs) in order for the condition or exception to apply.
      Returns:
        true, if is ndr

    - #### setAsNDR

          public void setAsNDR(boolean isNDR)

      Sets whether incoming messages must be non-delivery reports (NDRs) in order for the condition or exception to apply.
      Parameters:
        `isNDR` - the new as ndr

    - #### isPermissionControlled

          public boolean isPermissionControlled()

      Gets whether incoming messages must be permission controlled (RMS protected) in order for the condition or exception to apply.
      Returns:
        true, if is permission controlled

    - #### setAsPermissionControlled

          public void setAsPermissionControlled(boolean isPermissionControlled)

      Sets whether incoming messages must be permission controlled (RMS protected) in order for the condition or exception to apply.
      Parameters:
        `isPermissionControlled` - the new as permission controlled

    - #### isReadReceipt

          public boolean isReadReceipt()

      Gets whether incoming messages must be read receipts in order for the condition or exception to apply.
      Returns:
        true, if is read receipt

    - #### setAsReadReceipt

          public void setAsReadReceipt(boolean isReadReceipt)

      Sets whether incoming messages must be read receipts in order for the condition or exception to apply.
      Parameters:
        `isReadReceipt` - the new as read receipt

    - #### isSigned

          public boolean isSigned()

      Gets whether incoming messages must be S/MIME signed in order for the condition or exception to apply.
      Returns:
        true, if is signed

    - #### setAsSigned

          public void setAsSigned(boolean isSigned)

      Sets whether incoming messages must be S/MIME signed in order for the condition or exception to apply.
      Parameters:
        `isSigned` - the new as signed

    - #### isVoiceMail

          public boolean isVoiceMail()

      Gets whether incoming messages must be voice mail messages in order for the condition or exception to apply.
      Returns:
        true, if is voice mail

    - #### setAsVoiceMail

          public void setAsVoiceMail(boolean isVoiceMail)

      Sets whether incoming messages must be voice mail messages in order for the condition or exception to apply.
      Parameters:
        `isVoiceMail` - the new as voice mail

    - #### getItemClasses

          public java.util.List<java.lang.String> getItemClasses()

      Gets the item classes that must be stamped on incoming messages in order for the condition or exception to apply.
      Returns:
        the item classes

    - #### getMessageClassifications

          public java.util.List<java.lang.String> getMessageClassifications()

      Gets the message classifications that must be stamped on incoming messages in order for the condition or exception to apply.
      Returns:
        the message classifications

    - #### getNotSentToMe

          public boolean getNotSentToMe()

      Gets whether the owner of the mailbox must not be in the ToRecipients property of the incoming messages in order for the condition or exception to apply.
      Returns:
        the not sent to me

    - #### setNotSentToMe

          public void setNotSentToMe(boolean notSentToMe)

      Sets whether the owner of the mailbox must not be in the ToRecipients property of the incoming messages in order for the condition or exception to apply.
      Parameters:
        `notSentToMe` - the new not sent to me

    - #### getSentCcMe

          public boolean getSentCcMe()

      Gets whether the owner of the mailbox has to be in the CcRecipients property of incoming messages in order for the condition or exception to apply.
      Returns:
        the sent cc me

    - #### setSentCcMe

          public void setSentCcMe(boolean sentCcMe)

      Sets whether the owner of the mailbox has to be in the CcRecipients property of incoming messages in order for the condition or exception to apply.
      Parameters:
        `sentCcMe` - the new sent cc me

    - #### getSentOnlyToMe

          public boolean getSentOnlyToMe()

      Gets whether the owner of the mailbox has to be the only one in the ToRecipients property of incoming messages in order for the condition or exception to apply.
      Returns:
        the sent only to me

    - #### setSentOnlyToMe

          public void setSentOnlyToMe(boolean sentOnlyToMe)

      Sets whether the owner of the mailbox has to be the only one in the ToRecipients property of incoming messages in order for the condition or exception to apply.
      Parameters:
        `sentOnlyToMe` - the new sent only to me

    - #### getSentToAddresses

          public java.util.List<Mailbox> getSentToAddresses()

      Gets the e-mail addresses that incoming messages have to have been sent to in order for the condition or exception to apply.
      Returns:
        the sent to addresses

    - #### getSentToMe

          public boolean getSentToMe()

      Gets whether the owner of the mailbox has to be in the ToRecipients property of incoming messages in order for the condition or exception to apply.
      Returns:
        the sent to me

    - #### setSentToMe

          public void setSentToMe(boolean sentToMe)

      Sets whether the owner of the mailbox has to be in the ToRecipients property of incoming messages in order for the condition or exception to apply.
      Parameters:
        `sentToMe` - the new sent to me

    - #### getSentToOrCcMe

          public boolean getSentToOrCcMe()

      Gets whether the owner of the mailbox has to be in either a ToRecipients or CcRecipients property of incoming messages in order for the condition or exception to apply.
      Returns:
        the sent to or cc me

    - #### setSentToOrCcMe

          public void setSentToOrCcMe(boolean sentToOrCcMe)

      Sets whether the owner of the mailbox has to be in either a ToRecipients or CcRecipients property of incoming messages in order for the condition or exception to apply.
      Parameters:
        `sentToOrCcMe` - the new sent to or cc me

    - #### getSensitivity

          public Sensitivity getSensitivity()

      Gets the sensitivity that must be stamped on incoming messages in order for the condition or exception to apply.
      Returns:
        the sensitivity

    - #### setSensitivity

          public void setSensitivity(Sensitivity sensitivity)

      Sets the sensitivity that must be stamped on incoming messages in order for the condition or exception to apply.
      Parameters:
        `sensitivity` - the new sensitivity

    - #### getWithinDateRange

          public RulePredicateDateRange getWithinDateRange()

      Gets the date range within which incoming messages have to have been received in order for the condition or exception to apply.
      Returns:
        the within date range

    - #### setWithinDateRange

          public void setWithinDateRange(RulePredicateDateRange withinDateRange)

      Sets the date range within which incoming messages have to have been received in order for the condition or exception to apply.
      Parameters:
        `withinDateRange` - the new within date range

    - #### getWithinSizeRange

          public RulePredicateSizeRange getWithinSizeRange()

      Gets the minimum and maximum sizes that incoming messages must be in order for the condition or exception to apply.
      Returns:
        the within size range

    - #### setWithinSizeRange

          public void setWithinSizeRange(RulePredicateSizeRange withinSizeRange)

      Sets the minimum and maximum sizes that incoming messages must be in order for the condition or exception to apply.
      Parameters:
        `withinSizeRange` - the new within size range